Skip to main content
POST
Create a new organization

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetResellerId
string
required

Reseller-ID under which the org will be created

Body

application/json
orgName
string
required

Organization name

Example:

"Acme Solar"

email
string

Admin-user e-mail for the new org

Example:

"admin@acmesolar.com"

accountName
string

Default agent name for the organization

Example:

"Acme Support"

orgAccountType
enum<string>

Organization account type. Internal orgs are billed through reseller usage; customer orgs are eligible for full subscriptions. Defaults to customer.

Available options:
internal,
customer
Example:

"customer"

productPlanId
string

Product-plan ID. If omitted, defaults to your reseller sell-plan.

Example:

"pplan-basic-monthly"

offeredProductPlanId
string

Give an offered product plan to the organization (same behavior as updateOrganization)

Example:

"pplan-basic-monthly"

externalAccountId
string

Your own CRM/customer ID for this org

Example:

"external-org-12345"

externalBillingId
string

External Id to match with your internal billing system

Example:

"billing-id-12345"

hipaaSetting
enum<string>
default:inherit

HIPAA setting for this organization. on|off|inherit (inherit from reseller)

Available options:
on,
off,
inherit
numberingProviders
object[]

Array of numbering provider configurations

vidaPremium
boolean

Mark this account as an actively paying account

Example:

true

smsEnabled
boolean

Enable SMS Capabilities on the agent

Example:

true

smsBrandId
string

SMS Brand Id that is registered for the organization

Example:

"XXXXXX"

smsCampaignId
string

Approved SMS Campaign Id for the organizations traffic

Example:

"XXXXXX"

integrations
object[]

Optional list of third-party app integrations to set up at org creation

Example:

Response

201 - application/json

Organization successfully created

success
boolean
Example:

true

message
string
Example:

"Organization created"

organization
object

Created organization object